    1   /*
    2    * Copyright 2002,2004 The Apache Software Foundation.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *      http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    13   * See the License for the specific language governing permissions and
    14   * limitations under the License.
    15   */
    16  package org.apache.commons.jelly.core;
    17
    18  /***
    19   * A sample bean that we can construct via Jelly tags
    20   *
    21   * @author <a href="mailto:jstrachan@apache.org">James Strachan</a>
    22   * @version $Revision: 155420 $
    23   */
    24  public class Product {
    25
    26      private String id;
    27      private String name;
    28
    29      public Product() {
    30      }
    31
    32      public String toString() {
    33          return "Product[id=" + id + ";name=" + name + "]";
    34      }
    35
    36      // Properties
    37      //-------------------------------------------------------------------------
    38      /***
    39       * Returns the id.
    40       * @return String
    41       */
    42      public String getId() {
    43          return id;
    44      }
    45
    46      /***
    47       * Returns the name.
    48       * @return String
    49       */
    50      public String getName() {
    51          return name;
    52      }
    53
    54      /***
    55       * Sets the id.
    56       * @param id The id to set
    57       */
    58      public void setId(String id) {
    59          this.id = id;
    60      }
    61
    62      /***
    63       * Sets the name.
    64       * @param name The name to set
    65       */
    66      public void setName(String name) {
    67          this.name = name;
    68      }
    69
    70  }